Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.thesaurus
Class AbstractConcept

    java.lang.Object
      fr.gouv.culture.sdx.utils.AbstractSdxObject
          fr.gouv.culture.sdx.document.AbstractDocument
              fr.gouv.culture.sdx.document.AbstractIndexableDocument
                  fr.gouv.culture.sdx.document.XMLDocument
                      fr.gouv.culture.sdx.thesaurus.AbstractConcept

All Implemented Interfaces:
  Concept, org.apache.avalon.framework.configuration.Configurable, org.xml.sax.ContentHandler, org.apache.avalon.framework.context.Contextualizable, Describable, Document, Encodable, Identifiable, IndexableDocument, org.xml.sax.ext.LexicalHandler, Localizable, org.apache.avalon.framework.logger.LogEnabled, ParsableDocument, SdxObject, org.apache.avalon.framework.service.Serviceable, org.apache.cocoon.xml.XMLConsumer, org.apache.excalibur.xml.sax.XMLConsumer, org.apache.excalibur.xml.sax.XMLizable, org.apache.cocoon.xml.XMLProducer

Direct Known Subclasses:
  LuceneConcept

public abstract class AbstractConcept
extends XMLDocument
implements Concept

Created by IntelliJ IDEA. User: rpandey Date: Dec 20, 2002 Time: 11:52:42 AM To change this template use Options | File Templates.

Nested Class Summary

Nested classes inherited from class fr.gouv.culture.sdx.document.AbstractIndexableDocument
`AbstractIndexableDocument.StoreHandler`

Nested classes inherited from class fr.gouv.culture.sdx.utils.SdxObject
`SdxObject.ConfigurationNode`

Field Summary
`protected java.lang.String` | `value`
`protected java.lang.String` | `valueKey`
`protected java.lang.String` | `xmlLang`
`protected java.lang.String` | `xmlLangKey`

Fields inherited from class fr.gouv.culture.sdx.document.AbstractIndexableDocument
`_boost, _currentFieldBoost, _msgHandler, _xmlFieldList, _xmlFieldOutput, _xmlFieldTransformer, attachedDocuments, characterBuffer, contentHandler, currentFieldName, DOC_ATTACHEDOC_ELEMENT_NAME, DOC_FIELD_ELEMENT_NAME, DOC_MSG_ELEMENT_NAME, DOC_NAMESPACE, DOC_ROOT_ELEMENT_NAME, lexicalHandler, nsTable, openSdxDocElems, properties, storeHandler, subDoc, subDocBytes, subDocuments, transformedDoc, withinSdxElement, withinXmlField, xmlConsumer`

Fields inherited from class fr.gouv.culture.sdx.document.AbstractDocument
`idGenerator, idPrefix, idSuffix, mimeType, storeRepo`

Fields inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`_configuration, _context, _description, _encoding, _id, _locale, _logger, _manager, _xmlizable_objects, _xmlLang, isToSaxInitialized`

Fields inherited from interface fr.gouv.culture.sdx.thesaurus.Concept
`ABBREVIATION_SCOPE_NOTE, DOCTYPE_CONCEPT, RELATION_BROADER_TERM, RELATION_BROADER_TERMS, RELATION_EQUIVALENT_TERM, RELATION_NARROWER_TERM, RELATION_PARTIAL_EQIUVALENCE, RELATION_RELATED_TERM, RELATION_USE, RELATION_USED_FOR, TERM, XMLLANG`

Fields inherited from interface fr.gouv.culture.sdx.document.Document
`CLASS_NAME_SUFFIX, DOCTYPE_BINARY, DOCTYPE_GROUP, DOCTYPE_HTML, DOCTYPE_USER, DOCTYPE_XML`

Fields inherited from interface fr.gouv.culture.sdx.utils.Encodable
`DEFAULT_ENCODING`

Constructor Summary
`AbstractConcept()`
`AbstractConcept(java.lang.String id)`

Method Summary
`void` | `addRelation(java.lang.String relationType, java.lang.String relationValue)` Adds a relation to the document
`void` | `endElement(java.lang.String uri, java.lang.String loc, java.lang.String raw)`
`java.lang.String` | `getDocType()` Gets the docType for the document
`void` | `setValue(java.lang.String value)` Sets the term/value of the document
`void` | `setXmlLang(java.lang.String xmlLang)`
`void` | `startElement(java.lang.String uri, java.lang.String loc, java.lang.String raw, org.xml.sax.Attributes a)`

Methods inherited from class fr.gouv.culture.sdx.document.XMLDocument
`addAdditionalSystemFields, getLength, getMimeType, openStream, parse, parse, setContent, setTransformedDocument, setTransformedDocument, startIndexing`

Methods inherited from class fr.gouv.culture.sdx.document.AbstractIndexableDocument
`addAttachedDocument, characters, comment, endCDATA, endDocument, endDTD, endEntity, endPrefixMapping, generateId, getAttachedDocuments, getBoost, getFieldValues, getStoreHandler, getSubDocuments, getTransformedDocument, handleDocumentId, ignorableWhitespace, processingInstruction, resetAttachedDocuments, resetFields, setAttachedDocuments, setBoost, setConsumer, setContentHandler, setDocumentLocator, setLexicalHandler, setMessageHandler, setUpdateAttachedDocuments, setUpTransformedDocument, setXMLFieldList, setXMLTransformerHandler, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping, updateAttachedDocuments`

Methods inherited from class fr.gouv.culture.sdx.document.AbstractDocument
`getClassNameSuffix, getInputSource, getPreferredFilename, getRepositoryForStorage, getURL, initToSax, initVolatileObjectsToSax, save, setContent, setContent, setContent, setContent, setIdGenerator, setIdGenerator, setMimeType, setPreferredFilename, setPreferredFilename, setRepositoryForStorage, setURL`

Methods inherited from class fr.gouv.culture.sdx.utils.AbstractSdxObject
`configure, configureDescription, contextualize, enableLogging, getBaseAttributes, getConfiguration, getContext, getDescription, getEncoding, getId, getLocale, getLog, getServiceManager, getXmlLang, service, setDescription, setEncoding, setId, setLocale, setUpSdxObject, setUpSdxObject, toSAX, verifyConfigurationResources`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface fr.gouv.culture.sdx.thesaurus.Concept
`getRelations, getRelations, getValue`

Methods inherited from interface fr.gouv.culture.sdx.document.IndexableDocument
`addAdditionalSystemFields, getAttachedDocuments, getBoost, getFieldValues, getStoreHandler, getSubDocuments, getTransformedDocument, resetAttachedDocuments, setBoost, setMessageHandler, setTransformedDocument, setTransformedDocument, setXMLFieldList, setXMLTransformerHandler, startIndexing`

Methods inherited from interface fr.gouv.culture.sdx.document.Document
`getLength, getMimeType, getPreferredFilename, getRepositoryForStorage, getURL, openStream, save, setContent, setContent, setContent, setContent, setId, setIdGenerator, setIdGenerator, setMimeType, setPreferredFilename, setRepositoryForStorage, setURL`

Methods inherited from interface fr.gouv.culture.sdx.utils.SdxObject
`getLog`

Methods inherited from interface org.apache.avalon.framework.logger.LogEnabled
`enableLogging`

Methods inherited from interface org.apache.avalon.framework.context.Contextualizable
`contextualize`

Methods inherited from interface org.apache.avalon.framework.service.Serviceable
`service`

Methods inherited from interface org.apache.avalon.framework.configuration.Configurable
`configure`

Methods inherited from interface fr.gouv.culture.sdx.utils.Identifiable
`getId`

Methods inherited from interface fr.gouv.culture.sdx.utils.Describable
`getDescription, setDescription`

Methods inherited from interface fr.gouv.culture.sdx.utils.Encodable
`getEncoding, setEncoding`

Methods inherited from interface fr.gouv.culture.sdx.utils.Localizable
`getLocale, getXmlLang, setLocale`

Methods inherited from interface org.apache.excalibur.xml.sax.XMLizable
`toSAX`

Methods inherited from interface org.xml.sax.ContentHandler
`characters, endDocument, endPrefixMapping, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

Methods inherited from interface org.xml.sax.ext.LexicalHandler
`comment, endCDATA, endDTD, endEntity, startCDATA, startDTD, startEntity`

Methods inherited from interface org.apache.cocoon.xml.XMLProducer
`setConsumer`

Field Detail

### valueKey

    protected java.lang.String valueKey

### xmlLangKey

    protected java.lang.String xmlLangKey

### value

    protected java.lang.String value

### xmlLang

    protected java.lang.String xmlLang

Constructor Detail

### AbstractConcept

    public AbstractConcept()

### AbstractConcept

    public AbstractConcept(java.lang.String id)
                    throws SDXException

Method Detail

### getDocType

    public java.lang.String getDocType()

  Description copied from interface: `Document`
  Gets the docType for the document

  Specified by:
    `getDocType` in interface `Document`
  Overrides:
    `getDocType` in class `XMLDocument`

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String loc,
                             java.lang.String raw,
                             org.xml.sax.Attributes a)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `AbstractIndexableDocument`
  Throws:
    `org.xml.sax.SAXException`

### endElement

    public void endElement(java.lang.String uri,
                           java.lang.String loc,
                           java.lang.String raw)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `endElement` in class `AbstractIndexableDocument`
  Throws:
    `org.xml.sax.SAXException`

### addRelation

    public void addRelation(java.lang.String relationType,
                            java.lang.String relationValue)

  Description copied from interface: `Concept`
  Adds a relation to the document

  Specified by:
    `addRelation` in interface `Concept`
  Parameters:
    `relationType` - The relation type name or other key
    `relationValue` - The relation value or term

### setValue

    public void setValue(java.lang.String value)

  Description copied from interface: `Concept`
  Sets the term/value of the document

  Specified by:
    `setValue` in interface `Concept`
  Parameters:
    `value` - The value

### setXmlLang

    public void setXmlLang(java.lang.String xmlLang)

  Specified by:
    `setXmlLang` in interface `Localizable`
  Overrides:
    `setXmlLang` in class `AbstractSdxObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.